Package org.eclipse.microprofile.rest.client.tck.timeout

# Class TimeoutViaMPConfigWithConfigKeyTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest
org.eclipse.microprofile.rest.client.tck.timeout.TimeoutTestBase
org.eclipse.microprofile.rest.client.tck.timeout.TimeoutViaMPConfigWithConfigKeyTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class TimeoutViaMPConfigWithConfigKeyTest extends TimeoutTestBase

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.eclipse.microprofile.rest.client.tck.timeout.TimeoutTestBase

`ROUNDING_FACTOR_CUSHION, TIMEOUT_CUSHION, UNUSED_URL`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`TimeoutViaMPConfigWithConfigKeyTest()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkTimeElapsed(long elapsed)`
`static org.jboss.shrinkwrap.api.Archive<?>`
`createDeployment()`
`protected SimpleGetApi`
`getClientWithConnectTimeout()`
`protected SimpleGetApi`
`getClientWithReadTimeout()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.timeout.TimeoutTestBase

`testConnectTimeout, testReadTimeout`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest

`getPort, getServerURI, getServerURL, getStringURL, setupServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeoutViaMPConfigWithConfigKeyTest

public TimeoutViaMPConfigWithConfigKeyTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.Archive<?> createDeployment()

### getClientWithReadTimeout

protected SimpleGetApi getClientWithReadTimeout()

Specified by:
  `getClientWithReadTimeout` in class `TimeoutTestBase`

### getClientWithConnectTimeout

protected SimpleGetApi getClientWithConnectTimeout()

Specified by:
  `getClientWithConnectTimeout` in class `TimeoutTestBase`

### checkTimeElapsed

protected void checkTimeElapsed(long elapsed)

Specified by:
  `checkTimeElapsed` in class `TimeoutTestBase`